Subject: Re: [bug#50614] [PATCH] build: utils: Add ‘list-when’ macro.

From: Xinglu Chen <[email-masked]>
Date: Sun, 19 Sep 2021 15:41:26 +0200

On Fri, Sep 17 2021, Sarah Morgensen wrote:

> Hi,
>
> Looking at this again I have a couple more comments.
>
> Xinglu Chen <[email-masked]> writes:
>> +@cindex miscellaneous build utilities
>> +This section documents some miscellaneous utilities that are useful to
>> +have.
>
> "that are useful to have" is implied by its presence in the manual, so
> it's unnecessary to write it.

Good point.

> Also, you might consider adding a rule to .dir-locals.el:
>
>   (eval . (put list-when 'scheme-indent-function 1))
>
> which would cause it to be indented like this:
>
>   (list-when expr1
>     expr2
>     expr3)

Yes, that would be a good idea.

> (I pointed out a couple other minor grammar corrections in the last
> review--did you see those?)

Oops, looks like I missed those.  I will send a v2 with the suggestions
applied.  :-)